
local t = Def.ActorFrame{
	LoadActor("onjacket")..{
		InitCommand=function(self)
			local bUseJacket = GetAdhocPref("ShowJackets");
			if bUseJacket then
				self:visible(true);
			else
				self:visible(false);
			end;
		end;
	};
	
	LoadActor("normal")..{
		InitCommand=function(self)
			local bUseJacket = GetAdhocPref("ShowJackets");
			if not bUseJacket then
				self:visible(true);
			else
				self:visible(false);
			end;
		end;
	};

	Def.ActorFrame{
		Condition=not GAMESTATE:IsCourseMode();
		LoadActor("stageframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-158;y,SCREEN_CENTER_Y-307/2;diffusealpha,0;addx,30/2;addy,15;sleep,0.7;decelerate,0.4;addx,-15;addy,-15;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,6.5;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};

		LoadActor("cdtitleframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-256;y,SCREEN_CENTER_Y-24;diffusealpha,0;addx,-20;addy,5;sleep,0.9;accelerate,0.2;addx,20;addy,-5;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,1,0,1,1;decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,8;diffusealpha,1;glow,color("0,1,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};

		LoadActor("sortframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-115;y,SCREEN_CENTER_Y-29;diffusealpha,0;addy,25;sleep,0.6;decelerate,0.4;addy,-25;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,7.5;glow,1,0,1,0;linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};

		LoadActor("bpmframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-283/2;y,SCREEN_CENTER_Y-51;diffusealpha,0;addx,30;sleep,0.8;decelerate,0.4;addx,-30;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,7.75;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};
	};

	Def.ActorFrame{
		Condition=GAMESTATE:IsCourseMode();
		LoadActor("musicnumframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-158;y,SCREEN_CENTER_Y-307/2;diffusealpha,0;addx,30/2;addy,15;sleep,0.7;decelerate,0.4;addx,-15;addy,-15;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,6.5;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};

		LoadActor("songinfoframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-158;y,SCREEN_CENTER_Y-36;diffusealpha,0;addx,15;addy,15;sleep,0.7;decelerate,0.4;addx,-15;addy,-15;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,6.5;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};
	};

	Def.ActorFrame{
		LoadActor( THEME:GetPathG("","paneframenormal") )..{
			InitCommand=cmd(diffusealpha,1;);
		};

		-- top
		LoadActor( THEME:GetPathG("","arrow") )..{
			Condition=not GAMESTATE:IsExtraStage2();
			OnCommand=cmd(diffusealpha,0;sleep,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(x,SCREEN_CENTER_X+120/2;y,SCREEN_CENTER_Y-130;rotationz,180;addx,-3;addy,-10/2;diffusealpha,0.8;glow,color("1,0.5,0,1");linear,0.5;glow,color("0,0,0,0");addx,4;addy,-10;diffusealpha,1;linear,0.5;addx,4;addy,-10;diffusealpha,0;queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};

		-- under
		LoadActor( THEME:GetPathG("","arrow") )..{
			Condition=not GAMESTATE:IsExtraStage2();
			OnCommand=cmd(diffusealpha,0;sleep,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(x,SCREEN_CENTER_X-19;y,SCREEN_CENTER_Y+130;addx,3;addy,5;diffusealpha,0.8;glow,color("1,0.5,0,1");linear,0.5;glow,color("0,0,0,0");addx,-4;addy,10;diffusealpha,1;linear,0.5;addx,-4/2;addy,10;diffusealpha,0;queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};
	};

};
return t;